/*
 * gestLib.css
 * deniere version (remplace gestLib-0.1.css
 */

.gestLib{
	font-size:0.8em;
}

/* console */
.gestLibNom
	{
	font-size:1em;
	border: 1px solid Red;
	background-color:Black;
	color:Magenta;
/*	margin:0;*/
	}

.gestLibDataBox
	{
	max-height:10em;
	overflow:auto;
	font-size:.8em;
	border: 1px solid Red;
	margin-top:-2px;
	background-color:Black;
	color:#AAA;
/*	margin:0;*/
	}




/* nom de la variable */
.gestLibVarNom
	{
/*	font-size:0.8em;*/
	border-bottom: 1px solid Red;
	background-color:Black;
	color:#F9D47C;
/*	margin:0;*/
	}
.gestLibVar
	{
/*	font-size:0.8em;*/
	border-bottom: 1px solid Red;
	background-color:Black;
	color:#F9D47C;
/*	margin:0;*/
	}
/* valeur de la variable */
.gestLibVal
	{
/*	font-size:0.8em;*/
	border-bottom: 1px solid Red;
	/*background-color:#FFF;*/
	/*color:Yellow;*/
	font-weight:bold;

	}
.gestLibValSpecial{
	font-style:italic;
}
.gestLibInfo
        {
        color:Yellow;
	font-style:italic;
        }


/* inspect */
/* utiliser par l'utilisateur pour definir une source */
.gestLib_inspectOrigine{
	margin: 0 2em;
	border:2px solid red;
	max-height:20em;
	overflow:auto;
}
/* automatique (chaque iteration)*/
.gestLib_inspect{
}

ul.gestLib{
	border-left:3px solid black;
	margin-top:0;
	}
ol.gestLibObject{
        border-left:3px solid yellow;
        margin-top:0;
        }
ul.gestLibArray{
        border-left:3px solid blue;
        margin-top:0;
        }


ul.gestLib li {
/*	margin-left:0;*/
	background-color:#0FB;
        }

/* tableau de synthese */
table.gestLib{
	font-size:.8em;
}
table.gestLib caption{
	text-align:center;
	font-weight:bold;
}

table.gestLib th{
	text-align:center;
	background-color:blue;
	color:black;
}


#devCtrl{
	cursor:pointer;
	background-color:magenta;
}

#devContent{
	display:none;	/* cacher par defaut */
	border: 1px solid magenta;
	background-color:transparent;
}

